Download it now!
Bug 135438 - Paragraph styles preview in sidebar are clipped
Summary: Paragraph styles preview in sidebar are clipped
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-08-04 14:29 UTC by Telesto
Modified: 2020-09-16 07:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (13.53 KB, application/vnd.oasis.opendocument.text)
2020-08-04 14:30 UTC, Telesto
Details
Screenshot (20.93 KB, image/png)
2020-08-04 14:31 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-08-04 14:29:59 UTC
Description:
Paragraph styles preview in sidebar are partly rendered

Steps to Reproduce:
1. Open the attached file
2. Sidebar -> Paragraph styles

Actual Results:
Cut off

Expected Results:
Not so


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
7.1

not in
6.4
Comment 1 Telesto 2020-08-04 14:30:14 UTC
Created attachment 163937 [details]
Example file
Comment 2 Telesto 2020-08-04 14:31:04 UTC
Created attachment 163938 [details]
Screenshot
Comment 3 Xisco Faulí 2020-08-05 09:52:49 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=fe9a13dc0e6d1384416c2a2343223b33925fc925

author	Caolán McNamara <caolanm@redhat.com>	2020-04-26 15:43:25 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2020-04-29 09:46:08 +0200
commit	fe9a13dc0e6d1384416c2a2343223b33925fc925 (patch)
tree	a43a8ea0cc46407b8932dced64cf34d595f3b3e9
parent	cf36fe5eb41910c26d58fb25e54ccf2e0ee01365 (diff)
weld SfxTemplatePanelControl

Bisected with: bibisect-linux64-7.0

Adding Cc: to Caolán McNamara

Reproduced with GEN and GTK3
Comment 4 Commit Notification 2020-08-05 15:59:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2f6728f88cb895d7bfe185185ace30327b23e8ed

tdf#135438 Paragraph styles preview in sidebar are clipped

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2020-08-05 16:01:46 UTC
fixed in master, backport to 7-0 in gerrit
Comment 6 Xisco Faulí 2020-08-10 09:59:56 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 6ad2f463784a24c566477cdd60ae729651bb8564
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 7 Commit Notification 2020-08-10 10:00:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/d67cd0efbc08c92492f3b5fd7ffe35556052d52f

tdf#135438 Paragraph styles preview in sidebar are clipped

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.